Product Affiliates
Introduction
Get affiliates promoting a product using the product_id.
Endpoint
bash
POST /product/v1/creatorListRequest Body
| Field | Type | Required | Description |
|---|---|---|---|
filter | object | Yes | Filter parameters |
page | integer | No | Page number, default: 1 |
pagesize | integer | No | Items per page, default: 10 |
filter options
| Field | Type | Required | Description |
|---|---|---|---|
product_id | string | Yes | Product ID |
Request Example
bash
curl 'https://openapi.fastmoss.com/product/v1/creatorList?client_id=XXX×tamp=XXX&access_token=XXX&sign=XXX' \
--header 'Content-Type: application/json' \
{
"filter": {
"product_id": "1734037502413342614",
},
"orderby": {
"field": "units_sold",
"order": "desc"
},
# "orderby": {
# "field": "gmv",
# "order": "desc"
# },
# "orderby": {
# "field": "follower_count",
# "order": "desc"
# },
# "orderby": {
# "field": "digg_count",
# "order": "desc"
# },
"page": 1,
"pagesize": 10
}Response Body
data.total
Total number of results
data.list
| Field | Type | Description |
|---|---|---|
uid | string | Creator UID |
unique_id | string | Creator Unique ID |
nickname | string | Creator Nickname |
avatar | string | Creator Avatar URL |
units_sold | integer | Creator Sales |
gmv | float | Creator GMV |
category | array[object] | Creator Category |
follower_count | integer | Creator Follower Count |
aweme_count | integer | Creator Video Count |
favoriting_count | integer | Creator Favoriting Count |
region | string | Creator Region |
Response Example
json
{
"code": 0,
"msg": "success",
"data": {
"total": 8,
"list": [
{
"uid": "6893103660525831169",
"units_sold": 1354,
"gmv": 22034.60,
"unique_id": "twobakeboys",
"nickname": "Twobakeboys",
"avatar": "https://s.500fd.com/tt_author/935c7d720caecc448ed85fbcbac1218b~c5_300x300.jpeg",
"category_id": 5, //creator's category_id
"category_name": "Food & Beverage", //creator's category_name
"category": [//deprecated
"Food & Beverage"
],
"follower_count": 22572,
"aweme_count": 510,
"favoriting_count": 480,
"region": "SG" //creator's region
}
]
}
}